Skip to main content

Get all localizations

GET /localization/{language}
alphahttps://api.sandbox.ovok.com

Get all localizations

All query parameters are FHIR query parameteters and therefore optional.

Parameters

Parameter ExampleDescription
category=language|en-USGet all localizations for the language en-US
category=key|home.aboutGet all localizations for the key home.about
title:contains=About PageGet all localizations where the value of the title contains About Page
_offset=0Offset of the first localization
_count=10Count of the localizations

NOTE: The provided language must be enabled in the system by calling Locale APIs.

Parameters

NameInTypeRequiredDescription
languagepathstringyes
_countquerystringno
_offsetquerystringno
_sortquerystringno
searchquerystringno

Responses

CodeDescription
200Success.
400The request could not be operated by the server.
401The resource owner or authorization server denied the request.
404The requested resource could not be found.
422The request could not be validated by the server.
500The server encountered an unexpected condition. Please try again later.

200PaginatedSearchResponseDto (application/json)

  • total: number (required)
  • resources: object[] (required)
    • id: string
    • key: string (required)
    • language: string (required)
    • value: string (required)
    • author: object (required)
    • date: string
    • projectId: string